Skip to main content
POST
Add existing users to a team

Authorizations

Authorization
string
header
required

Authenticate every request with a Bearer token. Pass your Reply API key in the Authorization header:

Get your API key from the Reply dashboard: Settings → API Key.

Path Parameters

team_id
integer
required

ID of the team (workspace) to add the users to

Required range: x >= 1

Body

application/json

Users of your organization to add to the team, each with a role from that team.

items
object[]
required

The users to add, 1 to 50 per call.

Required array length: 1 - 50 elements

Response

Array of results, one per submitted user, in request order.

Per-item error codes:

email
string

The email as it was sent in the request item.

id
integer

The user's ID in the team, also with alreadyInTeam. 0 when the user was not added for any other reason.

error
string | null

Why the user was not added: userNotFound, alreadyInTeam, removedFromTeam, roleNotFound, requestInProgress or unknown. null on success.

errorDetails
string | null

Human-readable explanation of error; null on success